Bio::DB::Taxonomy::greengenes(3)

NAME
Bio::DB::Taxonomy::greengenes - Use the Greengenes taxonomy

SYNOPSIS
  use Bio::DB::Taxonomy;

  my $db = Bio::DB::Taxonomy->new(
     -source   => 'greengenes',
     -taxofile => 'taxonomy_16S_candiv_gg_2011_1.txt'
  );

DESCRIPTION
This module is in beta. Its interface or its results may change in a future update.

Bio::DB::Taxonomy::greengenes is an implementation of Bio::DB::Taxonomy which stores and accesses the Greengenes taxonomy of Bacteria and Archaea. Internally, it keeps the taxonomy into memory by using Bio::DB::Taxonomy::list. As a consequence, note that the IDs assigned to the taxonomy nodes, e.g. gg123, are arbitrary, contrary to the pre-defined IDs that NCBI assigns to taxons.

The latest release of the Greengene taxonomy (2011) contains about 4,600 taxa and occupies about 4MB of memory once parsed into a Bio::DB::Taxonomy::greengenes object. The taxonomy files taxonomy_16S_all_gg_2011_1.txt and taxonomy_16S_candiv_gg_2011_1.txt that this module can use are available from <http://www.secondgenome.com/go/2011-greengenes-taxonomy/>.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Florent Angly
florent.angly@gmail.com

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = Bio::DB::Taxonomy::greengenes->new();
 Function: Builds a new Bio::DB::Taxonomy::greengenes object
 Returns : an instance of Bio::DB::Taxonomy::greengenes
 Args    : -taxofile  => name of the file containing the taxonomic information,
                         typically 'taxonomy_16S_candiv_gg_2011_1.txt' (mandatory)